## picture-rings 3.10

=== debian/changelog ===
picture-rings (3.10) unstable; urgency=medium

  * Add auto selection of uid of 'new' to delete from picture.
  * Add duplicate check to ring-daemon. This duplicate check is based on
    raw size and signature.  The check matches the check performed by the
    PHP scripts.  It will prevent duplicates from being loaded into the
    data base.
  * Change the "Set date to" processing to use a button instead of a
    checkbox and change the background color of the date field when
    the date is set using the button.
  * Add Update->Next button to picture_maint.  Move selection of next pid
    and previous pid to db function include and use the function in
    picture_maint and picture_maint_action.

 -- Bill MacAllister <bill@ca-zephyr.org>  Sat, 30 Aug 2025 17:19:11 +0000

picture-rings (3.9) unstable; urgency=medium

  * Update ring-load command line by allowing only one directory per
    invocation of ring-load.
  * In the maintenance menus change menu item and add select by picture
    lot to picture_sort.
  * Default to ordering pictures in picture_sort to by pid.
  * Updates to picture_select.php
    - Retire the use of a moveable navigation menu in picture_select.php.
    - Use CSS for page layout in picture_select.php.
    - Add color to nav menu to group functions.
    - Pull auto_size support.  Maybe later, but not now.
    - Add routine to allow users to update the picture date of any
      picture.
    - Add routine to allow users to update their own comments.
    - Move increment_time to inc_util so that it can be shared by
      picture_maint and add_date.
    - Some whitespace cleanup and de-tabbing.
     -Mouse click on picture in picture_select moves to next picture
  * Fix bug in index.php's handling of cookies
  * Minor update to picture_dup_check selection of duplicates to prevent
    selecting the same duplicate twice.
  * Revert to picture_maint for Editing from picture_select.  The editing
    of meta-data from picture_select was pointing to a non-existant
    script.  The script will be added at some point, but for now just use
    the old script.


 -- Bill MacAllister <bill@ca-zephyr.org>  Sat, 30 Aug 2025 16:05:01 +0000

picture-rings (3.8) unstable; urgency=medium

  * Minor update to picture_dup_check selection of duplicates to
    prevent selecting the same duplicate twice.

 -- Bill MacAllister <bill@ca-zephyr.org>  Fri, 08 Aug 2025 15:15:31 +0000

picture-rings (3.7) unstable; urgency=medium

  * Retire the use of a moveable navigation menu in picture_select.php.
  * Use CSS for page layout in picture_select.php.
  * Add PHP script to check for duplicate pictures and make it easy
    to delete them.

 -- Bill MacAllister <bill@ca-zephyr.org>  Thu, 07 Aug 2025 23:15:51 +0000

picture-rings (3.6) unstable; urgency=medium

  * Change default sort in picture_sort to by picture id.

 -- Bill MacAllister <bill@ca-zephyr.org>  Fri, 16 May 2025 00:27:07 +0000

picture-rings (3.5) unstable; urgency=medium

  * Change command line of ring-load to accomodate directory names that
    have embedded spaces by allowing only one directory to be specified at
    a time.
  * Change "Sort" menu items to "Find".
  * Allow selection of pictures in picture_lot by picture_log.

 -- Bill MacAllister <bill@ca-zephyr.org>  Sat, 25 Jan 2025 08:16:17 +0000

picture-rings (3.4) unstable; urgency=medium

  * Update picture_select.php menu title and index.php heading.
  * Update duplicate detection in ring_slide_table.php and check
    only for exact file size matches.
  * Correct problem with return doing nothing when a picture is
    displayed by picture_select.
  * Correct handling of old comments and old grades in picture_update.

 -- Bill MacAllister <bill@ca-zephyr.org>  Fri, 24 Jan 2025 19:42:22 +0000

picture-rings (3.3) unstable; urgency=medium

  * Set the picture_sequence such that pictures are unique by
    picture_data and picture sequence in the picture_maint
    processing.
  * Add the ring-delete-range script to allow bluk deletions.
  * Add the ring-restore-inputs script to copy raw files back
    to the input directories.

 -- Bill MacAllister <bill@ca-zephyr.org>  Sat, 16 Nov 2024 08:41:23 +0000

picture-rings (3.2) unstable; urgency=medium

  * Updates to support multiple rings on the same server.
    - Updates to php scripts.
    - Replace bash scripts with perl.
  * Add the ring-convert-db script to convert the picture_details
    file to the new format from the individual size tables.

 -- Bill MacAllister <bill@ca-zephyr.org>  Tue, 24 Sep 2024 21:59:46 +0000

picture-rings (3.1) unstable; urgency=medium

  * Updates to credential handling.  Ensure that logout destroys
    credentials both in local and session variables.  Display
    logged in credential with the Logout link.

 -- Bill MacAllister <bill@ca-zephyr.org>  Thu, 29 Aug 2024 18:52:05 +0000

picture-rings (3) unstable; urgency=medium

  * Retire the dependency on webauth.  Generalize the authentication
    by specifying either php sources or an external program to
    execute.
  * Move scripts out of /usr/sbin and into /usr/bin.
  * Add POD to remctl-ring* scripts.
  * Add the script cz-ring-token to allow Apache to access AFS
    resources.
  * Replace webauth supplied LDAP searches with Perl scripts.
    The Perl scripts are required to support Kerberos authentication
    to the LDAP server.

 -- Bill MacAllister <bill@ca-zephyr.org>  Sat, 24 Aug 2024 07:04:09 +0000

picture-rings (2.40) unstable; urgency=medium

  * Add javascript to support proceeding to the next picture by
    pressing carriable return.
  * Correct problem with file upload and reload caused by a change
    in the $_FILE array.
  * Used date and time for style version setting.
  * Update service properties for ring-load and ring-daemon to have
    then automatically restart on any failure.

 -- Bill MacAllister <bill@ca-zephyr.org>  Mon, 03 Jan 2022 07:29:58 +0000

picture-rings (2.39) unstable; urgency=medium


