=== debian/control ===
Source: picture-rings
Section: web
Priority: optional
Maintainer: Bill MacAllister <bill@ca-zephyr.org>
Build-Depends: debhelper (>= 10),
 imagemagick,
 libappconfig-perl,
 libauthen-sasl-perl,
 libcz-ldaptools-perl,
 libdbi-perl,
 libdbd-mysql-perl,
 libdigest-perl-md5-perl,
 libfile-homedir-perl,
 libfile-type-perl,
 libfile-slurp-perl,
 libimage-exif-perl,
 libimage-exiftool-perl,
 libimage-info-perl,
 libimage-magick-perl,
 libipc-run-perl,
 libnet-ldapapi-perl,
 libphp-phpmailer,
 perl,
 perltidy,
 php-cli,
 php-gd,
 php-ldap,
 php-mysql
Standards-Version: 3.9.8

Package: picture-rings
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 exif,
 imagemagick,
 libapache2-mod-php,
 libappconfig-perl,
 libauthen-sasl-perl,
 libcz-ldaptools-perl,
 libdbi-perl,
 libdbd-mysql-perl,
 libdigest-perl-md5-perl,
 libfile-homedir-perl,
 libfile-type-perl,
 libfile-slurp-perl,
 libimage-exif-perl,
 libimage-exiftool-perl,
 libimage-info-perl,
 libimage-magick-perl,
 libipc-run-perl,
 libnet-ldap-perl,
 libphp-phpmailer,
 perl,
 php-gd,
 php-ldap,
 php-mysql
Description: Rings Picture Gallery Web Application
 This web application organizations pictures and displays them via a
 web server.  The images are stored several resolutions for fast
 display.  The raw images are stored and not modified.
 .
 The application supports a fine grained access model.  Authorization
 information is stored in an LDAP database.
